Page MenuHomePhabricator

Remove db1002-db1007 from production
Closed, ResolvedPublic

Description

Two patches uploaded to remove db1002-db1007 from puppet and dns totally so they can be removed from the datacenter. As stated in T103110#1442318 the servers are out of warranty. The disks from the servers may be reusable for other db hosts like db1050.

Event Timeline

JohnLewis raised the priority of this task from to Medium.
JohnLewis updated the task description. (Show Details)
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 14 2015, 2:19 AM

Change 224560 had a related patch set uploaded (by John F. Lewis):
remove db100[2-7]{.mgmt}.eqiad.wmnet

https://gerrit.wikimedia.org/r/224560

Change 224558 had a related patch set uploaded (by John F. Lewis):
remove db100[2-7] from install_server and coredb

https://gerrit.wikimedia.org/r/224558

jcrespo moved this task from Triage to Backlog on the DBA board.Jul 20 2015, 3:51 PM

We can decommission, wipe the disks and leave them to be re-purposed for labs or whatever else we need. Once removed and wiped I will add to server spare list. I am going to probably remove one to cannibalize for disks and parts

Change 224560 merged by Andrew Bogott:
remove db100[2-7]{.mgmt}.eqiad.wmnet

https://gerrit.wikimedia.org/r/224560

WMF asset tags still exist in DNS. This is all yours now to do what ever you need to with these servers really.

  • Removed from icinga
  • Puppet certs revoked
  • Salt keys revoked
Cmjohnson closed this task as Resolved.Aug 17 2015, 5:56 PM

This has been completed